MillionSend Docs

List a received email's attachments

GET
/emails/receiving/{email_id}/attachments

The attachments and inline parts of one received email, each with a signed download link valid for one hour; all of them unless limit is given. Needs a full access key. The links of an email that carries malware answer 410.

Path Parameters

email_id*string
Formatuuid

Query Parameters

limit?integer

Page size, 1-100 (default 20)

Range1 <= value <= 100
after?string

Cursor: id of the last item of the current page; returns the next page. Must be an id this list returned; there is no sentinel value.

Formatuuid
before?string

Cursor: id of the first item of the current page; returns the previous page; same rule as after.

Formatuuid

Response Body

Attachments

application/json
  1. response
object*"list"
Value in"list"
has_more*boolean
data*array<>
Example Request
curl -X GET 'https://api.millionsend.com/emails/receiving/497f6eca-6276-4993-bfeb-53cbbbba6f08/attachments'
Example Response
{  "object": "list",  "has_more": true,  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "filename": "string",      "size": 0,      "content_type": "string",      "content_disposition": "inline",      "content_id": "string",      "download_url": "string",      "expires_at": "string"    }  ]}